# Uses of Class
org.apache.sysds.runtime.compress.cost.CostEstimatorBuilder

Packages that use CostEstimatorBuilder
Package
Description
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.compress.cost
org.apache.sysds.runtime.instructions.spark

## Uses of CostEstimatorBuilder in org.apache.sysds.runtime.compress

Methods in org.apache.sysds.runtime.compress with parameters of type CostEstimatorBuilder
Modifier and Type
Method
Description
`static org.apache.commons.lang3.tuple.Pair<MatrixBlock,CompressionStatistics>`
CompressedMatrixBlockFactory.`compress(MatrixBlock mb, int k, CompressionSettingsBuilder compSettings, CostEstimatorBuilder csb)`
The main method for compressing the input matrix.
`static org.apache.commons.lang3.tuple.Pair<MatrixBlock,CompressionStatistics>`
CompressedMatrixBlockFactory.`compress(MatrixBlock mb, int k, CostEstimatorBuilder csb)`
`static org.apache.commons.lang3.tuple.Pair<MatrixBlock,CompressionStatistics>`
CompressedMatrixBlockFactory.`compress(MatrixBlock mb, CostEstimatorBuilder csb)`

## Uses of CostEstimatorBuilder in org.apache.sysds.runtime.compress.cost

Methods in org.apache.sysds.runtime.compress.cost with parameters of type CostEstimatorBuilder
Modifier and Type
Method
Description
`static ACostEstimate`
CostEstimatorFactory.`create(CompressionSettings cs, CostEstimatorBuilder costBuilder, int nRows, int nCols, double sparsity)`
Create a cost estimator to enable comparison of different suggested compression formats

## Uses of CostEstimatorBuilder in org.apache.sysds.runtime.instructions.spark

Constructors in org.apache.sysds.runtime.instructions.spark with parameters of type CostEstimatorBuilder
Modifier
Constructor
Description
``
`CompressionWorkloadFunction(CostEstimatorBuilder costBuilder)`